# Uses of Class
jdk.jshell.TypeDeclSnippet

Packages that use TypeDeclSnippet
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of TypeDeclSnippet in jdk.jshell

Methods in jdk.jshell that return types with arguments of type TypeDeclSnippet
Modifier and Type
Method
Description
`Stream<TypeDeclSnippet>`
JShell.`types()`
Returns the active type declaration (class, interface, annotation type, and enum) snippets.